# PCShellSetContext

sets the context for a shell PC

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCShellSetContext(PC pc,void *ctx)

Collective on PC

### Input Parameters

| pc | - the shell PC
| ctx | - the context

Fortran Notes: The context can only be an integer or a PetscObject unfortunately it cannot be a Fortran array or derived type.

### See Also

PCCreateShell(), PCShellGetContext()

Level:advanced
Location: src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex6.c.html
src/snes/examples/tutorials/ex24.c.html
src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex33f.F.html